# Heston variance swap
wHeston <- function(params)function(t){
  v <- params$v
  vbar <- params$vbar
  lam <- params$lambda
  w <- vbar*t + (v-vbar)*(1-exp(-lam*t))/lam	
  return(w)
}

# Heston variance swap
gHeston <- function(params)function(t){
  v <- params$v
  vbar <- params$vbar
  lam <- params$lambda
  rho <- params$rho
  eta <- params$eta
  lamp <- lam - rho*eta
  vbarp <- vbar*lam/lamp
  g <- vbarp*t + (v-vbarp)*(1-exp(-lamp*t))/lamp	
  return(g)
}

leverageHeston <- function(params)function(t){
  gHeston(params)(t)-wHeston(params)(t)
}

normalizedLeverageHeston <- function(params)function(t){
  leverageHeston(params)(t)/wHeston(params)(t)
}